/**
 * Copyright (c) 2012 Nokia Corporation.
 */

import QtQuick 1.1
import QtMobility.feedback 1.1

Image {
    id: button

    property alias enabled: mouseArea.enabled
    property alias iconSource: icon.source
    property alias text: text.text

    signal clicked();
    signal pressed();
    signal released();

    width: 50; height: 50

    source: "../images/button_bg.svg"
    smooth: true

    Image {
        id: icon

        anchors {
            fill: parent
            margins: 4
        }

        smooth: true
    }

    Text {
        id: text

        anchors.centerIn: parent

        color: "white"
        opacity: 0.8

        font.pixelSize: 20
    }

    ThemeEffect { id: pressEffect; effect: ThemeEffect.BasicButton }
    ThemeEffect { id: clickEffect; effect: ThemeEffect.PositiveTacticon }

    MouseArea {
        id: mouseArea

        anchors {
            fill: parent
            margins: -5
        }

        onPressed: {
            button.source = "../images/button_pressed_bg.svg";
            pressEffect.play();
            button.pressed();
        }

        onReleased: {
            button.source = "../images/button_bg.svg";
            button.released();
        }

        onCanceled: {
            button.source = "../images/button_bg.svg";
        }

        onClicked: {
            clickEffect.play();
            button.clicked();
        }
    }
}
