/**
 * Copyright (c) 2012 Nokia Corporation.
 */

import QtQuick 1.1
import com.nokia.symbian 1.1

Item {
    id: exposureCompensationSelector

    property real controlOpacity

    signal valueChanged(real value)

    Behavior on opacity { PropertyAnimation { duration: 250 } }

    Slider {
        id: slider

        anchors.fill: parent

        opacity: exposureCompensationSelector.controlOpacity

        minimumValue: -2
        maximumValue: 2
        inverted: true
        stepSize: 1/3

        valueIndicatorText: value.toFixed(1)
        valueIndicatorVisible: true

        value: 0

        orientation: Qt.Vertical

        onValueChanged: exposureCompensationSelector.valueChanged(value);
    }
}
