/**
 * Copyright (c) 2012 Nokia Corporation.
 */

import QtQuick 1.1
import com.nokia.symbian 1.1
import CustomElements 1.0

GridView {
    id: flashSelector

    property real controlOpacity

    signal flashSelected(int flashMode)

    function resolveImageFromMode(mode) {
        if (mode === CustomCamera.FlashOn)
            return "../images/flash_on.svg";
        else if (mode === CustomCamera.FlashOff)
            return "../images/flash_off.svg";
        else if (mode === CustomCamera.FlashRedEyeReduction)
            return "../images/flash_red_eye.svg";
        else if (mode === CustomCamera.FlashAuto)
            return "../images/flash_auto.svg";

        console.log("No image for mode: " + mode);
    }

    width: count / 2 * cellWidth
    height: count / 2 * cellHeight

    cellWidth: 55
    cellHeight: 55

    interactive: false
    delegate: delegate

    Behavior on opacity { PropertyAnimation { duration: 250 } }

    Component {
        id: delegate

        Item {
            width: flashSelector.cellWidth
            height: flashSelector.cellHeight

            CustomButton {
                anchors.centerIn: parent

                iconSource: {
                    flashSelector.resolveImageFromMode(modelData);
                }
                onClicked: { flashSelector.flashSelected(modelData); }
                opacity: flashSelector.controlOpacity
            }
        }
    }
}
