/**
 * Copyright (c) 2012 Nokia Corporation.
 */

import QtQuick 1.1
import com.nokia.symbian 1.1

Rectangle {
    id: infoView

    property real controlOpacity

    signal backPressed()

    color: "#8d000000"

    Flickable {
        id: flickable

        anchors {
            top: parent.top; topMargin: 20
            bottom: backButton.top; bottomMargin: 10
            left: parent.left; leftMargin: 10
            right: parent.right; rightMargin: 10
        }

        contentWidth: width
        contentHeight: label.height

        Label {
            id: label

            anchors.centerIn: parent

            width: flickable.width - 15
            font.pixelSize: platformStyle.fontSizeLarge
            wrapMode: Text.WordWrap
            text: "<h1>Camera Demo 1.0</h1>" +
                  "<p>This application demonstrates the use of Qt Mobility " +
                  "Qt camera API.</p>" +
                  "<p>This example application is hosted in " +
                  "<a href=\"http://projects.developer.nokia.com/camerademo\">" +
                  "Nokia Developer Projects</a>.</p>"

            onLinkActivated: Qt.openUrlExternally(link)
        }
    }

    ToolButton {
        id: backButton

        anchors {
            left: parent.left; leftMargin: 10
            bottom: parent.bottom; bottomMargin: 10
        }

        opacity: infoView.controlOpacity
        iconSource: "toolbar-back"

        onClicked: { infoView.backPressed(); }
    }
}
