/**
 * Copyright (c) 2012 Nokia Corporation.
 */

import QtQuick 1.1
import com.nokia.symbian 1.1

GridView {
    id: isoSelector

    property real controlOpacity

    signal isoSelected(string isoValue)

    width: 2 * cellWidth
    height: Math.ceil(count / 2) * cellHeight

    cellWidth: 55
    cellHeight: 55

    interactive: false
    delegate: delegate

    Behavior on opacity { PropertyAnimation { duration: 250 } }

    Component {
        id: delegate

        Item {
            width: isoSelector.cellWidth
            height: isoSelector.cellHeight

            CustomButton {
                anchors.centerIn: parent

                iconSource: "../images/iso_" + modelData + ".svg"
                onClicked: { isoSelector.isoSelected(modelData); }
                opacity: isoSelector.controlOpacity
            }
        }
    }
}
